### Enumeration

# WebKit2WebExtension HitTestResultContext

#### Declaration

    flags WebKit2WebExtension.HitTestResultContext

#### Description [src]

Enum values with flags representing the context of a `WebKitHitTestResult`.

#### Members

Name | Description
--- | ---
`WEBKIT_HIT_TEST_RESULT_CONTEXT_DOCUMENT` | Anywhere in the document.
`WEBKIT_HIT_TEST_RESULT_CONTEXT_LINK` | A hyperlink element.
`WEBKIT_HIT_TEST_RESULT_CONTEXT_IMAGE` | An image element.
`WEBKIT_HIT_TEST_RESULT_CONTEXT_MEDIA` | A video or audio element.
`WEBKIT_HIT_TEST_RESULT_CONTEXT_EDITABLE` | An editable element.
`WEBKIT_HIT_TEST_RESULT_CONTEXT_SCROLLBAR` | A scrollbar element.
`WEBKIT_HIT_TEST_RESULT_CONTEXT_SELECTION` | A selected element. Since 2.8